<?php
$version = get_option('WAT_version', '0.2.0');

if( version_compare(get_option('WP_auto_tag_version'), '0.2.0', '<') ) {
	wp_clear_scheduled_hook('WP_auto_tag_related_post');
	wp_clear_scheduled_hook('WP_auto_tag_related_old_post');
	delete_option('WP_auto_tag_options');
	delete_option('WP_auto_tag_analyitc_options');
	delete_option('WP_auto_tag_version');
	delete_option('WP_auto_tag_related_old_count');
}

if( version_compare($version, '0.2.0.1', '<') ) {
	$options = array(
		'share_history' => array(),
		'last_get_ditc_time' => 0,
		'autotag_link' => 1,
		'autotag_link_maxtimes' => 1,
		'autotag_link_nofollow' => 1,
		'autotag_link_addin' => array(
			'home' => false,
			'single' => true,
			'archive' => false,
			'search' => false
		),
		'related_post' => 1,
		'related_post_aside_tag' => 1,
		'related_post_title' => '相關文章',
		'related_post_count' => 4,
		'related_post_img' => 0,
		'related_old_count' => 0,
		'analyitc_ngram_type' => 'r',
		'analyitc_max_words' => '8',
		'analyitc_max_tags' => '10'
	);
	update_option('WAT_options', $options, 'WP auto tag Options');
	update_option('WAT_version', '0.2.0.1');
}

if( version_compare($version, '0.2.0.3', '<') ) {
	update_option('WAT_version', '0.2.0.3');
}

if( version_compare($version, '0.2.1.1', '<') ) {
	$options = get_option('WAT_options');
	$options['related_post_add_content'] = $options['related_post'];
	$options['related_old_count'] = 0;
	update_option('WAT_options', $options, 'WP auto tag Options');
	wp_clear_scheduled_hook('WAT_related_old_post');
	wp_schedule_event(time() + 30, 'every10m', 'WAT_related_old_post');

	update_option('WAT_version', '0.2.1.1');
}

if( version_compare($version, '0.2.2', '<') ) {
	update_option('WAT_version', '0.2.2');
}
?>